## astrometry.net 0.91+dfsg

=== Makefile ===
# This file is part of the Astrometry.net suite.
# Copyright 2006-2008 Dustin Lang, Keir Mierle and Sam Roweis.
# Copyright 2010, 2011, 2012, 2013 Dustin Lang.
#
# The Astrometry.net suite is free software; you can redistribute
# it and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, version 2.
#
# The Astrometry.net suite is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with the Astrometry.net suite ; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

# To set the install directory:
#   make install INSTALL_DIR=/path/to/dir
# or see util/makefile.common

# Turn off optimisation?  If the following line is commented-out, the default
# is to turn optimization on.  See util/makefile.common for details.
#export OPTIMIZE = no

all:

BASEDIR := .
COMMON := $(BASEDIR)/util

# The internal Astrometry.net dependency stack, top to bottom, is:
#
#  solver/libastrometry.a  -- astrometry.net core
#    catalogs/libcatalogs.a
#    util/libanfiles.a  -- astrometry.net index files, etc
#      libkd/libkd.a -- kd-trees
#        util/libanutils.a  -- utilities
#          gsl-an/libgsl-an.a OR system gsl -- GNU scientific library
#          [wcslib] -- optional
#          qfits-an/libqfits.a -- FITS files
#            util/libanbase.a  -- basic stuff

include $(COMMON)/makefile.common

all: subdirs version
.PHONY: all

version:
	echo "__version__ = '$(AN_GIT_REVISION)'" > __init__.py
.PHONY: version

check: pkgconfig
.PHONY: check

# Just check that we have pkg-config, since it's needed to get
# wcslib, cfitsio, cairo, etc config information.
pkgconfig:
	pkg-config --version || (echo -e "\nWe require the pkg-config package.\nGet it from http://www.freedesktop.org/wiki/Software/pkg-config" && false)
	pkg-config --modversion cfitsio || (echo -e "\nWe require cfitsio but it was not found.\nGet it from http://heasarc.gsfc.nasa.gov/fitsio/\nOr on Ubuntu/Debian, apt-get install cfitsio-dev\nOr on Mac OS / Homebrew, brew install cfitsio\n" && false)
.PHONY: pkgconfig

# Detect GSL -- this minimum version was chosen to match the version in gsl-an.
# Earlier versions would probably work fine.
SYSTEM_GSL ?= $(shell (pkg-config --atleast-version=1.14 gsl && echo "yes") || echo "no")
# Make this variable visible to recursive "make" calls
export SYSTEM_GSL

ifneq ($(SYSTEM_GSL),yes)
subdirs: gsl-an
solver: gsl-an
endif

SUBDIRS := util catalogs libkd solver sdss qfits-an plot
SUBDIRS_OPT := gsl-an

subdirs: $(SUBDIRS)

util: config qfits-an

libkd: config util

catalogs: config libkd

solver: config util catalogs libkd qfits-an

plot: config util catalogs libkd qfits-an

$(SUBDIRS):
	$(MAKE) -C $@
$(SUBDIRS_OPT):
	$(MAKE) -C $@

.PHONY: subdirs $(SUBDIRS) $(SUBDIRS_OPT)

doc:
	$(MAKE) -C doc html
.PHONY: doc
html:
.PHONY: html
	$(MAKE) -C doc html

# Targets that require extra libraries
extra: qfits-an util catalogs plot-extra
.PHONY: extra

plot-extra: cairoutils
	$(MAKE) -C plot cairo
.PHONY: plot-extra

# Targets that create python bindings (requiring swig)
ifneq ($(SYSTEM_GSL),yes)
py: gsl-an
endif
py: catalogs pyutil libkd-spherematch sdss cairoutils pyplotstuff pysolver

libkd-spherematch:
	$(MAKE) -C libkd pyspherematch

cairoutils:
	$(MAKE) -C util cairoutils.o

pyplotstuff: cairoutils
	$(MAKE) -C plot pyplotstuff

pysolver: cairoutils
	$(MAKE) -C solver pysolver

.PHONY: py libkd-spherematch cairoutils pyplotstuff pysolver

pyutil: qfits-an
	$(MAKE) -C util pyutil

.PHONY: py pyutil

install: all report.txt
	$(MAKE) install-core
	$(MAKE) install-gsl
	@echo
	@echo The following command may fail if you don\'t have the cairo, netpbm, and
	@echo png libraries and headers installed.  You will lose out on some eye-candy
	@echo but will still be able to solve images.
	@echo
	-$(MAKE) extra
	-($(MAKE) -C util install || echo "\nErrors in the previous make command are not fatal -- we try to build and install some optional code.\n\n")
	-($(MAKE) -C solver install-extra || echo "\nErrors in the previous make command are not fatal -- we try to build and install some optional code.\n\n")
	-($(MAKE) -C plot install-extra || echo "\nErrors in the previous make command are not fatal -- we try to build and install some optional code.\n\n")
	@echo

install-core:
	$(MKDIR) '$(DATA_INSTALL_DIR)'
	$(MKDIR) '$(BIN_INSTALL_DIR)'
	$(MKDIR) '$(DOC_INSTALL_DIR)'
	$(MKDIR) '$(INCLUDE_INSTALL_DIR)'
	$(MKDIR) '$(LIB_INSTALL_DIR)'
	$(MKDIR) '$(EXAMPLE_INSTALL_DIR)'
	$(MKDIR) '$(PY_BASE_INSTALL_DIR)'
	$(MKDIR) '$(MAN1_INSTALL_DIR)'
	$(CP) __init__.py '$(PY_BASE_INSTALL_DIR)'
	$(CP) CREDITS LICENSE README.md report.txt '$(DOC_INSTALL_DIR)'
	$(CP) demo/* '$(EXAMPLE_INSTALL_DIR)'
	$(CP) man/*.1 '$(MAN1_INSTALL_DIR)'
	$(MAKE) -C util  install-core
	$(MAKE) -C catalogs install
	$(MAKE) -C libkd install
	$(MAKE) -C qfits-an install
	$(MAKE) -C solver install
	$(MAKE) -C sdss install
	$(MKDIR) -p '$(PY_BASE_INSTALL_DIR)'/net/client
	@for x in net/client/client.py; do \
		echo $(SED) 's+$(PYTHON_SCRIPT_DEFAULT)+$(PYTHON_SCRIPT)+' $$x > '$(PY_BASE_INSTALL_DIR)/'$$x; \
		$(SED) 's+$(PYTHON_SCRIPT_DEFAULT)+$(PYTHON_SCRIPT)+' $$x > '$(PY_BASE_INSTALL_DIR)/'$$x; \
		echo $(CHMOD_EXECUTABLE) '$(PY_BASE_INSTALL_DIR)/'$$x; \
		$(CHMOD_EXECUTABLE) '$(PY_BASE_INSTALL_DIR)/'$$x; \
	done
.PHONY: install install-core

ifeq ($(SYSTEM_GSL),yes)
install-gsl:
else
install-gsl:
	$(MAKE) -C gsl-an install
endif
.PHONY: install-gsl

pyinstall:
	$(MKDIR) '$(PY_BASE_INSTALL_DIR)'
	$(CP) __init__.py '$(PY_BASE_INSTALL_DIR)'
	$(MAKE) -C util pyinstall
	$(MAKE) -C libkd install-spherematch
	$(MAKE) -C sdss install
	$(MAKE) -C catalogs pyinstall

install-indexes:
	$(MKDIR) '$(DATA_INSTALL_DIR)'
	@for x in `ls index-*.tar.bz2 2>/dev/null`; do \
		echo Installing $$x in '$(DATA_INSTALL_DIR)'...; \
		echo tar xvjf $$x -C '$(DATA_INSTALL_DIR)'; \
		tar xvjf $$x -C '$(DATA_INSTALL_DIR)'; \
	done
	@for x in `ls index-*.bz2 2>/dev/null | grep -v tar.bz2 2>/dev/null`; do \
		echo Installing $$x in '$(DATA_INSTALL_DIR)'...; \
		echo "$(CP) $$x '$(DATA_INSTALL_DIR)' && bunzip2 --force '$(DATA_INSTALL_DIR)/'$$x;"; \
		$(CP) $$x '$(DATA_INSTALL_DIR)' && bunzip2 --force '$(DATA_INSTALL_DIR)/'$$x; \
	done
	@for x in `ls index-*.tar.gz 2>/dev/null`; do \
		echo Installing $$x in '$(DATA_INSTALL_DIR)'...; \
		echo tar xvzf $$x -C '$(DATA_INSTALL_DIR)'; \
		tar xvzf $$x -C '$(DATA_INSTALL_DIR)'; \
	done
	@for x in `ls index-*.fits 2>/dev/null`; do \
		echo Installing $$x in '$(DATA_INSTALL_DIR)'...; \
		echo "$(CP) $$x '$(DATA_INSTALL_DIR)'"; \
		$(CP) $$x '$(DATA_INSTALL_DIR)'; \
	done

reconfig:
	-rm -f $(INCLUDE_DIR)/os-features-config.h util/makefile.os-features
	$(MAKE) -C util config
.PHONY: reconfig

config: util/os-features-config.h util/makefile.os-features
	$(MAKE) -C util config
.PHONY: config

RELEASE_VER := 0.91

RELEASE_DIR := astrometry.net-$(RELEASE_VER)
RELEASE_RMDIRS := net

release:
	-rm -R $(RELEASE_DIR) $(RELEASE_DIR).tar $(RELEASE_DIR).tar.gz $(RELEASE_DIR).tar.bz2
	git archive --prefix $(RELEASE_DIR)/ $(RELEASE_VER) | tar x
	for x in $(RELEASE_RMDIRS); do \
		rm -R $(RELEASE_DIR)/$$x; \
	done
	(cd $(RELEASE_DIR)/util  && swig -python -I. -I../include/astrometry util.i)
	(cd $(RELEASE_DIR)/plot && swig -python -I. -I../util -I../include/astrometry plotstuff.i)
	(cd $(RELEASE_DIR)/sdss  && swig -python -I. cutils.i)
	cat $(RELEASE_DIR)/util/makefile.common | sed "s/AN_GIT_REVISION .=.*/AN_GIT_REVISION := $$(git describe)/" | sed "s/AN_GIT_DATE .=.*/AN_GIT_DATE := $$(git log -n 1 --format=%cd | sed 's/ /_/g')/" > $(RELEASE_DIR)/util/makefile.common.x && mv $(RELEASE_DIR)/util/makefile.common.x $(RELEASE_DIR)/util/makefile.common
	cat $(RELEASE_DIR)/Makefile | sed "s/RELEASE_VER := 0.91
	tar cf $(RELEASE_DIR).tar $(RELEASE_DIR)
	gzip --best -c $(RELEASE_DIR).tar > $(RELEASE_DIR).tar.gz
	bzip2 --best $(RELEASE_DIR).tar

tag-release:
	git tag -a -m "Tag version $(RELEASE_VER)" $(RELEASE_VER)
	git push origin $(RELEASE_VER)

retag-release:
	-git tag -d $(RELEASE_VER)
	git tag -a -m "Re-tag version $(RELEASE_VER)" $(RELEASE_VER)
	git push origin $(RELEASE_VER)

.PHONY: tag-release retag-release

SNAPSHOT_RMDIRS := $(RELEASE_RMDIRS)

snapshot:
	-rm -R snapshot snapshot.tar snapshot.tar.gz snapshot.tar.bz2
	git archive --prefix snapshot/ HEAD | tar x
	for x in $(SNAPSHOT_RMDIRS); do \
		rm -R snapshot/$$x; \
	done
	(cd snapshot/util  && swig -python -I. -I../include/astrometry util.i)
	(cd snapshot/solver && swig -python -I. -I../util -I../include/astrometry plotstuff.i)
	(cd snapshot/sdss  && swig -python -I. cutils.i)
	SSD=astrometry.net-$(shell date -u "+%Y-%m-%d-%H:%M:%S")-$(shell git describe); \
	mv snapshot $$SSD; \
	tar cf snapshot.tar $$SSD; \
	gzip --best -c snapshot.tar > $$SSD.tar.gz; \
	bzip2 --best -c snapshot.tar > $$SSD.tar.bz2

.PHONY: snapshot

LIBKD_RELEASE_TEMP := libkd-$(RELEASE_VER)-temp
LIBKD_RELEASE_DIR := libkd-$(RELEASE_VER)
LIBKD_RELEASE_SUBDIRS := qfits-an libkd doc \
	CREDITS LICENSE __init__.py setup-libkd.py Makefile \
	util/ioutils.c util/mathutil.c util/fitsioutils.c \
	util/fitsbin.c util/an-endian.c util/fitsfile.c util/log.c util/errors.c \
	util/tic.c util/bl.c util/bl-nl.c \
	util/__init__.py util/starutil_numpy.py util/makefile.common \
	util/makefile.anbase util/makefile.deps \
	include/astrometry/anqfits.h include/astrometry/qfits_header.h \
	include/astrometry/qfits_table.h include/astrometry/qfits_keywords.h \
	include/astrometry/qfits_std.h include/astrometry/qfits_image.h \
	include/astrometry/qfits_tools.h include/astrometry/qfits_time.h \
	include/astrometry/qfits_error.h include/astrometry/qfits_memory.h \
	include/astrometry/qfits_rw.h include/astrometry/qfits_card.h \
	include/astrometry/qfits_convert.h include/astrometry/qfits_byteswap.h \
	include/astrometry/qfits_config.h include/astrometry/qfits_md5.h \
	include/astrometry/qfits_float.h \
	include/astrometry/kdtree.h include/astrometry/kdtree_fits_io.h \
	include/astrometry/dualtree.h include/astrometry/dualtree_rangesearch.h \
	include/astrometry/dualtree_nearestneighbour.h \
	include/astrometry/fitsbin.h include/astrometry/ioutils.h \
	include/astrometry/mathutil.h include/astrometry/fitsioutils.h \
	include/astrometry/an-endian.h include/astrometry/fitsfile.h \
	include/astrometry/log.h include/astrometry/errors.h \
	include/astrometry/tic.h include/astrometry/bl.inc \
	include/astrometry/bl-nl.inc include/astrometry/bl.h \
	include/astrometry/bl.ph  include/astrometry/bl-nl.h \
	include/astrometry/bl-nl.ph  include/astrometry/keywords.h \
	include/astrometry/an-bool.h include/astrometry/mathutil.inc \
	include/astrometry/starutil.h include/astrometry/starutil.inc \
	include/astrometry/an-thread.h include/astrometry/an-thread-pthreads.h \
	include/astrometry/thread-specific.inc

release-libkd:
	-rm -R $(LIBKD_RELEASE_DIR) $(LIBKD_RELEASE_DIR).tar $(LIBKD_RELEASE_DIR).tar.gz $(LIBKD_RELEASE_DIR).tar.bz2 $(LIBKD_RELEASE_TEMP)
	-$(MKDIR) $(LIBKD_RELEASE_DIR)
	git archive --prefix $(LIBKD_RELEASE_TEMP)/ $(RELEASE_VER) | tar x
	for x in $(LIBKD_RELEASE_SUBDIRS); do \
		tar c -C '$(LIBKD_RELEASE_TEMP)' $$x | tar x -C $(LIBKD_RELEASE_DIR); \
	done
	tar cf $(LIBKD_RELEASE_DIR).tar $(LIBKD_RELEASE_DIR)
	gzip --best -c $(LIBKD_RELEASE_DIR).tar > $(LIBKD_RELEASE_DIR).tar.gz
	bzip2 --best $(LIBKD_RELEASE_DIR).tar

.PHONY: release-libkd

LIBKD_SNAPSHOT_DIR := snapshot-libkd
LIBKD_SNAPSHOT_TEMP := libkd-snapshot-temp
LIBKD_SNAPSHOT_SUBDIRS := $(LIBKD_RELEASE_SUBDIRS)

snapshot-libkd:
	-rm -R $(LIBKD_SNAPSHOT_DIR) $(LIBKD_SNAPSHOT_DIR).tar $(LIBKD_SNAPSHOT_DIR).tar.gz $(LIBKD_SNAPSHOT_DIR).tar.bz2 $(LIBKD_SNAPSHOT_TEMP)
	-$(MKDIR) $(LIBKD_SNAPSHOT_DIR)

=== catalogs/Makefile ===
# This file is part of the Astrometry.net suite.
# Licensed under a 3-clause BSD style license - see LICENSE

BASEDIR := ..
COMMON := $(BASEDIR)/util
DATA := .

all:
.PHONY: all

include $(COMMON)/makefile.common

# required for build-hd-tree
include $(COMMON)/makefile.anfiles
# 2masstofits
include $(COMMON)/makefile.zlib
#include $(COMMON)/makefile.libkd
#include $(COMMON)/makefile.anutils

$(DATA)/%.txt: ;
$(DATA)/NGC.csv: ;

openngc-entries.csv: openngc-entries-csv.awk $(DATA)/NGC.csv
	$(AWK) -F\; -f openngc-entries-csv.awk < $(DATA)/NGC.csv > $@

openngc-names.csv: openngc-names-csv.awk $(DATA)/NGC.csv
	$(AWK) -F\; -f openngc-names-csv.awk < $(DATA)/NGC.csv > $@

openngc.o: openngc.c openngc-names.c openngc-entries.c

openngc-names.c: openngc-names-c.awk openngc-names.csv
	$(AWK) -F\; -f openngc-names-c.awk < openngc-names.csv > $@

openngc-entries.c: openngc-entries-c.awk openngc-entries.csv
	$(AWK) -F\; -f openngc-entries-c.awk < openngc-entries.csv > $@

stellarium-constellations.c:
	-$(MAKE) grab-stellarium-constellations
	-(./grab-stellarium-constellations > $@.tmp  &&  mv $@.tmp $@) || touch $@

grab-stellarium-constellations: grab-stellarium-constellations.o \
		starutil.o mathutil.o bl.o an-endian.o errors.o log.o ioutils.o qsort_reentrant.o tic.o
	$(CC) -o $@ $(CFLAGS) $(LDFLAGS) $^ $(LDLIBS)

# brightstars-data.c and brightstars.fits:
# I fetched hip.fits by visiting
# http://vizier.u-strasbg.fr/viz-bin/VizieR-3?-source=I/239/hip_main
# and selecting FITS binary output, and columns HIP, Vmag, _RA.icrs, _DE.icrs
# the latter of which are ICRS, epoch 2000 coordinates.
#
# Then ran:
# python brightstars.py /Applications/Stellarium.app/Contents/Resources/skycultures/western/star_names.fab hip.fits brightstars.fits --letternames /Applications/Stellarium.app/Contents/Resources/stars/default/name.fab --brightstars brightstars-data.c --multi


OBJS := openngc.o brightstars.o constellations.o \
	tycho2-fits.o tycho2.o usnob-fits.o usnob.o nomad.o nomad-fits.o \
	ucac3-fits.o ucac3.o ucac4-fits.o ucac4.o ucac5-fits.o ucac5.o \
	2mass-fits.o 2mass.o hd.o constellation-boundaries.o

HEADERS := brightstars.h constellations.h openngc.h \
	tycho2.h tycho2-fits.h usnob-fits.h usnob.h nomad-fits.h nomad.h \
	2mass-fits.h 2mass.h hd.h ucac3.h ucac4.h ucac5.h constellation-boundaries.h

HEADERS_PATH := $(addprefix $(INCLUDE_DIR)/,$(HEADERS))

PYTHON_INSTALL := __init__.py

PY_INSTALL_DIR := $(PY_BASE_INSTALL_DIR)/catalogs
LINK_DIR := $(PY_BASE_LINK_DIR)/catalogs

# MISC_OBJ := grab-stellarium-constellations.o

DEP_OBJ := $(OBJS)
DEP_PREREQS :=
DEP_PREREQS += openngc-names.c openngc-entries.c

CFLAGS += $(CFLAGS_DEF)
CFLAGS += $(LIBKD_INC)
CFLAGS += $(ANUTILS_INC)

LDFLAGS += $(LDFLAGS_DEF)

LDLIBS := $(LDLIBS_DEF)
LDLIBS += $(ANFILES_LIB)
LDLIBS += -lm

CFLAGS += -I.
CFLAGS += -I$(COMMON)
CFLAGS += $(ZLIB_INC)

LIBCAT := libcatalogs.a

SLIB := $(LIBCAT)
SLIB += $(ANFILES_SLIB)

$(LIBCAT): $(OBJS)
	-rm -f $@
	$(AR) rc $@ $(OBJS)
	$(RANLIB) $@

PROGS := build-hd-tree tycho2tofits usnobtofits nomadtofits \
	2masstofits ucac5tofits
	#ucac3tofits ucac4tofits

# not built by default
MISC_PROGS := usnob-scamp-catalog read_nomad

ucac3tofits: ucac3tofits.o $(SLIB)
	$(CC) -o $@ $(LDFLAGS) $^ $(LDLIBS) -lbz2
ALL_OBJ += ucac3tofits.o

ucac4tofits: ucac4tofits.o $(SLIB)
	$(CC) -o $@ $(LDFLAGS) $^ $(LDLIBS) -lbz2
ALL_OBJ += ucac4tofits.o

ucac5tofits: ucac5tofits.o $(SLIB)
	$(CC) -o $@ $(LDFLAGS) $^ $(LDLIBS) -lbz2
ALL_OBJ += ucac5tofits.o

2masstofits: 2masstofits.o $(SLIB)
	echo ZLIB_LIB is $(ZLIB_LIB)
	$(CC) -o $@ $(LDFLAGS) $^ $(LDLIBS) $(ZLIB_LIB)
ALL_OBJ += 2masstofits.o

$(PROGS): %: %.o $(SLIB)
ALL_OBJ += $(addsuffix .o,$(PROGS))

all: $(LIBCAT) $(PROGS)

hd1.fits: henry-draper.tsv build-hd-tree
	build-hd-tree -s -R 16 henry-draper.tsv $@

# hd.fits: you can grab a pre-built one from:
#    http://data.astrometry.net/hd.fits
# The instructions below are commented-out because some of the URLs have disappeared.
#
# hd.fits: henry-draper.tsv build-hd-tree tycho2.fits tyc2_hd.dat
# 	build-hd-tree -s -R 16 -T tycho2.fits -X tyc2_hd.dat henry-draper.tsv $@
#
# tyc2_hd.dat:
# 	wget "ftp://cdsarc.u-strasbg.fr/pub/cats/IV/25/tyc2_hd.dat.gz" -O $@.gz
# 	gunzip $@.gz
#
# henry-draper.tsv:
# 	wget "http://trac.astrometry.net/browser/binary/henry-draper/henry-draper.tsv?format=txt" -O $@
#
# tycho2.fits: catalog.dat suppl_1.dat
# 	tycho2tofits -o $@ $^
#
# catalog.dat:
# 	wget -c http://www.astro.ku.dk/~cf/CD/data/catalog.dat
#
# suppl_1.dat:
# 	wget -c http://www.astro.ku.dk/~cf/CD/data/suppl_1.dat

install: $(PYTHON_INSTALL) $(LIBCAT) $(HEADERS_PATH)
	@echo Installing in base directory '$(INSTALL_DIR)'
	$(MKDIR) '$(PY_INSTALL_DIR)'
	$(MKDIR) '$(INCLUDE_INSTALL_DIR)'
	$(MKDIR) '$(LIB_INSTALL_DIR)'
	@for x in $(PYTHON_INSTALL); do \
		echo $(CP) $$x '$(PY_INSTALL_DIR)/'$$x; \
		$(CP) $$x '$(PY_INSTALL_DIR)/'$$x; \
	done
	@for x in $(HEADERS); do \
		echo $(CP) '$(INCLUDE_DIR)/'$$x '$(INCLUDE_INSTALL_DIR)/'$$x; \
		$(CP) '$(INCLUDE_DIR)/'$$x '$(INCLUDE_INSTALL_DIR)/'$$x; \
	done
	@for x in $(LIBCAT); do \
		echo $(CP) $$x '$(LIB_INSTALL_DIR)/'$$x; \
		$(CP) $$x '$(LIB_INSTALL_DIR)/'$$x; \
	done
	@echo ok

.PHONY: install

pyinstall: $(PYTHON_INSTALL)
	$(MKDIR) '$(PY_INSTALL_DIR)'
	@for x in $(PYTHON_INSTALL); do \
		echo $(CP) $$x '$(PY_INSTALL_DIR)/'$$x; \
		$(CP) $$x '$(PY_INSTALL_DIR)/'$$x; \
	done
.PHONY: pyinstall

ALL_TEST_FILES = test_tycho2 test_usnob test_nomad test_2mass test_hd \
	test_boundaries
ALL_TEST_EXTRA_OBJS =
ALL_TEST_LIBS = $(SLIB)
ALL_TEST_EXTRA_LDFLAGS =
include $(COMMON)/makefile.tests

$(ALL_TEST_FILES): $(SLIB)

tests: $(ALL_TEST_FILES)
.PHONY: tests

clean:
	rm -f $(LIBCAT) $(OBJS) $(ALL_OBJ) $(DEPS) $(PROGS) *.dep deps \
		grab-stellarium-constellations \
		openngc-entries.csv openngc-names.csv \
		openngc-entries.c openngc-names.c \

ifneq ($(MAKECMDGOALS),clean)
          include $(COMMON)/makefile.deps
endif

=== debian/changelog ===
astrometry.net (0.91+dfsg-1) unstable; urgency=medium

  * New upstream version 0.91+dfsg
  * Rediff patches
  * Include netpbm files from netpbm subdir

 -- Ole Streicher <olebole@debian.org>  Fri, 05 Aug 2022 14:10:45 +0200

astrometry.net (0.89+dfsg-2) unstable; urgency=medium

  [ Jenkins ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata

  [ Ole Streicher ]
  * Switch build depends on libnetpbm10-dev to libnetpbm-dev (Closes: #1003165)
  * Push Standards-Version to 4.6.1. No changes needed
  * Fix copyright for kdtree files (Closes: #983306)

 -- Ole Streicher <olebole@debian.org>  Sun, 31 Jul 2022 16:12:38 +0200

## astrometry.net 0.92+dfsg

=== Makefile ===
--- 
+++ 
@@ -222,7 +222,7 @@
 	$(MAKE) -C util config
 .PHONY: config
 
-RELEASE_VER := 0.91
+RELEASE_VER := 0.92
 
 RELEASE_DIR := astrometry.net-$(RELEASE_VER)
 RELEASE_RMDIRS := net
@@ -236,8 +236,9 @@
 	(cd $(RELEASE_DIR)/util  && swig -python -I. -I../include/astrometry util.i)
 	(cd $(RELEASE_DIR)/plot && swig -python -I. -I../util -I../include/astrometry plotstuff.i)
 	(cd $(RELEASE_DIR)/sdss  && swig -python -I. cutils.i)
+	(cd $(RELEASE_DIR)/solver && swig -python -I. -I../include/astrometry solver.i)
 	cat $(RELEASE_DIR)/util/makefile.common | sed "s/AN_GIT_REVISION .=.*/AN_GIT_REVISION := $$(git describe)/" | sed "s/AN_GIT_DATE .=.*/AN_GIT_DATE := $$(git log -n 1 --format=%cd | sed 's/ /_/g')/" > $(RELEASE_DIR)/util/makefile.common.x && mv $(RELEASE_DIR)/util/makefile.common.x $(RELEASE_DIR)/util/makefile.common
-	cat $(RELEASE_DIR)/Makefile | sed "s/RELEASE_VER := 0.91
+	cat $(RELEASE_DIR)/Makefile | sed "s/RELEASE_VER := 0.92
 	tar cf $(RELEASE_DIR).tar $(RELEASE_DIR)
 	gzip --best -c $(RELEASE_DIR).tar > $(RELEASE_DIR).tar.gz
 	bzip2 --best $(RELEASE_DIR).tar
@@ -324,5 +325,3 @@
 LIBKD_SNAPSHOT_SUBDIRS := $(LIBKD_RELEASE_SUBDIRS)
 
 snapshot-libkd:
-	-rm -R $(LIBKD_SNAPSHOT_DIR) $(LIBKD_SNAPSHOT_DIR).tar $(LIBKD_SNAPSHOT_DIR).tar.gz $(LIBKD_SNAPSHOT_DIR).tar.bz2 $(LIBKD_SNAPSHOT_TEMP)
-	-$(MKDIR) $(LIBKD_SNAPSHOT_DIR)

=== debian/changelog ===
astrometry.net (0.92+dfsg-1) unstable; urgency=medium

  * New upstream version 0.92+dfsg
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 02 Dec 2022 20:47:35 +0100

=== debian/control ===
Source: astrometry.net
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-python,
               libbz2-dev,
               libcairo2-dev,
               libcfitsio-dev,
               libgsl-dev,
               libjpeg-dev,
               libnetpbm-dev,
               libpng-dev,
               pkg-config,
               python3-dev,
               python3-numpy,
               swig,
               wcslib-dev,
               zlib1g-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian-astro-team/astrometry.net
Vcs-Git: https://salsa.debian.org/debian-astro-team/astrometry.net.git
Homepage: http://www.astrometry.net
Rules-Requires-Root: no

Package: astrometry.net
Architecture: any
Depends: netpbm,
         python3,
         python3-astrometry,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: curl,
            libcfitsio-bin,
            python3-exif,
            source-extractor
Description: Astrometry plate solver
 The astrometry engine will take any image and return the astrometry
 world coordinate system (WCS), a standards-based description of the
 transformation between image coordinates and sky coordinates.

Package: libastrometry0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Astrometry plate solver (shared lib)
 The astrometry engine will take any image and return the astrometry
 world coordinate system (WCS), a standards-based description of the
 transformation between image coordinates and sky coordinates.
 .
 This package contains the shared library.

Package: libastrometry-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libastrometry0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Astrometry plate solver (development files)
 The astrometry engine will take any image and return the astrometry
 world coordinate system (WCS), a standards-based description of the
 transformation between image coordinates and sky coordinates.
 .
 This package contains the development files (header files).

Package: python3-astrometry
Architecture: any
Section: python
Depends: file,
         python3,
         python3-astropy,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Astrometry plate solver (Python package)
 The astrometry engine will take any image and return the astrometry
 world coordinate system (WCS), a standards-based description of the
 transformation between image coordinates and sky coordinates.
 .
 This package contains the Python Package.

## astrometry.net 0.93%2Bdfsg

=== debian/changelog ===
astrometry.net (0.93+dfsg-1.1ubuntu1) noble; urgency=medium

  * Remove usages of deprecated numpy.distutils (LP: #2060628)

 -- Paul Mars <paul.mars@canonical.com>  Tue, 09 Apr 2024 10:54:11 +0200

astrometry.net (0.93+dfsg-1.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:41:33 +0000

astrometry.net (0.93+dfsg-1.1build2) noble; urgency=medium

  * No-change rebuild against netpbm-free t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Mar 2024 18:01:46 +0100

astrometry.net (0.93+dfsg-1.1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:04:25 +0000

astrometry.net (0.93+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061922

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 01:52:20 +0000

astrometry.net (0.93+dfsg-1) unstable; urgency=medium

  * New upstream version 0.93+dfsg
  * Rediff patches
  * Push Standards-Version to 4.6.2. No changes

 -- Ole Streicher <olebole@debian.org>  Fri, 23 Dec 2022 21:06:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: astrometry.net
-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                dh-exec,
                dh-python,
                libbz2-dev,
@@ -19,7 +20,7 @@
                swig,
                wcslib-dev,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astrometry.net
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astrometry.net.git
 Homepage: http://www.astrometry.net
@@ -41,7 +42,10 @@
  world coordinate system (WCS), a standards-based description of the
  transformation between image coordinates and sky coordinates.
 
-Package: libastrometry0
+Package: libastrometry0t64
+Provides: ${t64:Provides}
+Replaces: libastrometry0
+Breaks: libastrometry0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -58,7 +62,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libastrometry0 (= ${binary:Version}),
+Depends: libastrometry0t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Astrometry plate solver (development files)
